Subject: RE: [Sip] Record-Route

From: "Atul kumar Jha" <[email-masked]>
Date: Fri, 17 Feb 2006 11:19:58 +0530

Hi Peter,

In your example, Record-Route header is getting reverted in the
response.

But as we go by section 16.12.1.1 of RFC 3261 and section 3.2 of the RFC
3665 (see the F12 message) we should maintain the same order of
Record-Route in the response. 

It should not be reverted in the response. 

It should be same as you got in your INVITE. 

Regards,

Atul

________________________________

From: [email-masked] [mailto:[email-masked]] On Behalf Of
Marqui Peter-E50322
Sent: Thursday, February 16, 2006 11:21 PM
To: Rayees Khan
Cc: [email-masked]; [email-masked]
Subject: RE: [Sip] Record-Route

Hi Rayees,

I'm not sure I follow you 

Do you mean my example is correct or that the Record-Route sent in the
response is exactly what was received by the callee in the INVITE
request ?

It is not built as the response traversew the path from U2 to U1

________________________________

From: Rayees Khan [mailto:[email-masked]] 
Sent: Thursday, February 16, 2006 11:32 AM
To: Marqui Peter-E50322
Cc: [email-masked]; [email-masked]
Subject: Re: [Sip] Record-Route

Hi Peter,

If we go by Section 16.12.1.1 of RFC 3261 the Record-Route stack of
response seems to be inverted. The record-route stack in response is
maintained as it is build along traversal of request.

regards
Rayees

[email-masked] wrote: -----

To: <[email-masked]>, <[email-masked]>
From: "Marqui Peter-E50322" <[email-masked]>
Sent by: [email-masked]
Date: 02/16/2006 05:20PM
Subject: [Sip] Record-Route

Should the Record-Route fields between the calling and called party be
symmetrical ? 

Or the same for each direction ? 

    U1->P1->P2->P3->P4->U2

The INVITE arriving at U2 contains: 

      INVITE sip:[email-masked] SIP/2.0
      Contact: sip:[email-masked]
      Record-Route: <sip:p4.domain.com;lr>
      Record-Route: <sip:p3.middle.com>
      Record-Route: <sip:p2.example.com;lr>
      Record-Route: <sip:p1.example.com;lr> 

While subsequent messages arriving at U1 from U2 would take the
following path:      U2->P4->P3->P2->P1>U1 

And the Record-Route header would be as follows 

      SIP/2.0 200 OK 

      Contact: sip:[email-masked] 
      Record-Route: <sip:p1.example.com;lr> 

      Record-Route: <sip:p2.example.com;lr>
      Record-Route: <sip:p3.middle.com>
      Record-Route: <sip:p4.domain.com;lr>

Peter Marqui 

Motorola MDB, Libertyville 

Email:    [email-masked] <mailto:[email-masked]> 

Phone:  847-523-0584 

Mobile:  847- 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

*****FSS-Private *****" DISCLAIMER: This message is proprietary to
Flextronics Software Systems Limited (FSS) and is intended solely for
the use of the individual to whom it is addressed. It may contain
privileged or confidential information and should not be circulated or
used for any purpose other than for what it is intended. If you have
received this message in error, please notify the originator
immediately. If you are not the intended recipient, you are notified
that you are strictly prohibited from using, copying, altering, or
disclosing the contents of this message. FSS accepts no responsibility
for loss or damage arising from the use of the information transmitted
by this email including damage from virus."

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Thejeswara Reddy.P" <[email-masked]>
Date: Fri, 17 Feb 2006 16:57:34 +0000 (GMT)

to add more,
  because endpoint has nothing to do with Record-route header.
  
  regards
  theja

Atul kumar Jha <[email-masked]> wrote:              v\:* {behavior:url(#default#VML);} o\:* {behavior:url(#default#VML);} w\:* {behavior:url(#default#VML);} .shape {behavior:url(#default#VML);}        st1\:*{behavior:url(#default#ieooui) }                     
    Hi Peter,
     
    In your example, Record-Route header is  getting reverted in the response.
    But as we go by section 16.12.1.1 of RFC  3261 and section 3.2 of the RFC 3665 (see the F12 message) we should maintain  the same order of Record-Route in the response. 
    It should not be reverted in the response.  
    It should be same as you got in your INVITE.  
     
    Regards,
    Atul

---------------------------------
    
    From: [email-masked]  [mailto:[email-masked]] On Behalf Of Marqui  Peter-E50322
  Sent: Thursday, February 16, 2006  11:21 PM
  To: Rayees Khan
  Cc: [email-masked];  [email-masked]
  Subject: RE: [Sip] Record-Route

    Hi Rayees,
     
    I'm not sure I follow you 
        Do you mean my example is correct or that the Record-Route  sent in the response is exactly what was received by the callee in the  INVITE request ?

   

---------------------------------

  If we go by Section 16.12.1.1 of RFC 3261 the Record-Route stack of response  seems to be inverted. The record-route stack in response is maintained as it is  build along traversal of request.

  regards
  Rayees

    [email-masked]  wrote: -----
    To:  <[email-masked]>, <[email-masked]>
  From: "Marqui Peter-E50322" <[email-masked]>
  Sent by: [email-masked]
  Date: 02/16/2006 05:20PM
  Subject: [Sip] Record-Route
        Should the Record-Route fields between the calling and  called party be symmetrical ? 

            U1->P1->P2->P3->P4->U2

    
        While subsequent messages arriving at U1 from U2 would take  the following path:      U2->P4->P3->P2->P1>U1  

              SIP/2.0 200 OK 

    
    Peter Marqui 
    Email:    [email-masked] 

  *****FSS-Private *****" DISCLAIMER: This message is proprietary to  Flextronics Software Systems Limited (FSS) and is intended solely for the use  of the individual to whom it is addressed. It may contain privileged or  confidential information and should not be circulated or used for any purpose  other than for what it is intended. If you have received this message in error,  please notify the originator immediately. If you are not the intended  recipient, you are notified that you are strictly prohibited from using,  copying, altering, or disclosing the contents of this message. FSS accepts no  responsibility for loss or damage arising from the use of the information  transmitted by this email including damage from virus."

---------------------------------
 Jiyo cricket on Yahoo! India cricket
Yahoo! Messenger Mobile Stay in touch with your buddies all the time.